New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

aix_update_all.py added #49068

Open
wants to merge 1 commit into
base: devel
from

Conversation

Projects
None yet
2 participants
@flynn1973

flynn1973 commented Nov 23, 2018

SUMMARY

update all lpp/rpm packages in aix via system commands

ISSUE TYPE
  • New Module Pull Request
COMPONENT NAME

aix_update_all

ADDITIONAL INFORMATION
# Synchronize ALL packages from the NIM_MASTER in the standard share
- name: Install All packages
  aix_update_all:
# Install latest  packages from the nfs_server: rn100pgpl.itc.testlab.intranet from the share: /export/nim/aix7104-03/lpp_new
- name: Install bash 
  aix_update_all:
    nfs_server: rn100pgpl.itc.testlab.intranet
    nfs_share: /export/nim/aix7104-03/lpp_new
@ansibot

This comment has been minimized.

Contributor

ansibot commented Nov 23, 2018

Hi @flynn1973, thank you for submitting this pull-request!

click here for bot help

@ansibot

This comment has been minimized.

Contributor

ansibot commented Nov 23, 2018

The test ansible-test sanity --test pylint [explain] failed with 1 error:

lib/ansible/modules/system/aix_update_all.py:75:66: undefined-variable Undefined variable 'rc'

The test ansible-test sanity --test boilerplate [explain] failed with 2 errors:

lib/ansible/modules/system/aix_update_all.py:0:0: missing: __metaclass__ = type
lib/ansible/modules/system/aix_update_all.py:0:0: missing: from __future__ import (absolute_import, division, print_function)

The test ansible-test sanity --test pep8 [explain] failed with 3 errors:

lib/ansible/modules/system/aix_update_all.py:95:1: E302 expected 2 blank lines, found 1
lib/ansible/modules/system/aix_update_all.py:104:1: E302 expected 2 blank lines, found 1
lib/ansible/modules/system/aix_update_all.py:202:1: E305 expected 2 blank lines after class or function definition, found 1

The test ansible-test sanity --test validate-modules [explain] failed with 5 errors:

lib/ansible/modules/system/aix_update_all.py:0:0: E105 GPLv3 license header not found in the first 20 lines of the module
lib/ansible/modules/system/aix_update_all.py:0:0: E305 DOCUMENTATION.version_added: required key not provided @ data['version_added']. Got None
lib/ansible/modules/system/aix_update_all.py:0:0: E307 version_added should be 2.8. Currently 0.0
lib/ansible/modules/system/aix_update_all.py:0:0: E316 ANSIBLE_METADATA.metadata_version: not a valid value for dictionary value @ data['metadata_version']. Got '1.0'
lib/ansible/modules/system/aix_update_all.py:0:0: E324 Value for "default" from the argument_spec ('NIM_MASTER') for "nfs_server" does not match the documentation ("{'NIM_MASTER': None}")

click here for bot help

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment